org.eclipse.emf.cdo.transaction

## Interface CDOTransactionFinishedEvent

- All Superinterfaces:
    CDOViewEvent, IEvent

      public interface CDOTransactionFinishedEvent
      extends CDOViewEvent

  A `view event` fired from a `transaction` when it becomes `clean` after a sucessful `commit` or `rollback`.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDOTransactionFinishedEvent.Cause` Enumerates the possible `causes` for a `transaction` to become finished.
    `static class` | `CDOTransactionFinishedEvent.Type` Deprecated. As of 4.3 use `CDOTransactionFinishedEvent.Cause`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOTransactionFinishedEvent.Cause` | `getCause()`
    `Map<CDOID,CDOID>` | `getIDMappings()`
    `CDOTransactionFinishedEvent.Type` | `getType()` Deprecated. As of 4.3 use `getCause()`.

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent

      `getSource`

- - ### Method Detail

    - #### getType

          @Deprecated
          CDOTransactionFinishedEvent.Type getType()

      Deprecated. As of 4.3 use `getCause()`.

    - #### getCause

          CDOTransactionFinishedEvent.Cause getCause()

      Since:
        4.3

    - #### getIDMappings

          Map<CDOID,CDOID> getIDMappings()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html